[**Headlamp Sealed Secrets API v0.2.0**](../../../README.md)

***

[Headlamp Sealed Secrets API](../../../README.md) / [lib/validators](../README.md) / validateSecretName

# Function: validateSecretName()

> **validateSecretName**(`name`): [`ValidationResult`](../interfaces/ValidationResult.md)

Defined in: [src/lib/validators.ts:142](https://github.com/privilegedescalation/headlamp-sealed-secrets-plugin/blob/bdf19cd3bf5a2d679b7ba949108fe9df1843c5f4/headlamp-sealed-secrets/src/lib/validators.ts#L142)

Validate secret name with detailed error message

## Parameters

### name

`string`

Secret name to validate

## Returns

[`ValidationResult`](../interfaces/ValidationResult.md)

Validation result with error message if invalid
